## part 1: new lib
vlib work
vmap work work

## part 2: load design
vlog -sv -novopt -incr -work work "../tb/prim_sim.v"
vlog -sv -novopt +incdir+../tb -work work "../tb/tb.v"
vlog -sv -novopt +incdir+../proj/src/define/ -incr -work work "../proj/src/FP_Div/FP_Div.vo"
vlog -sv -novopt +incdir+../proj/src/define/ -incr -work work "../proj/src/top.v"
## part 3: sim design
vsim  -novopt work.tb

## part 4: add signals
add wave -group "top" {sim:/tb/top_tb/*}

## part 5: show ui 
view wave
view structure
view signals

## part 6: run 
run 20000000ps

